Skip to main content
POST
/
v1
/
activities
/
{id}
/
dispatch
Dispatch Optimized Orders
curl --request POST \
  --url https://api.sandbox.usenash.com/v1/activities/{id}/dispatch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orderIds": [
    "<string>"
  ],
  "autoDispatch": true
}
'
[
  {
    "error": {
      "code": "<string>",
      "message": "<string>",
      "details": {}
    },
    "response_status": "<string>",
    "RequestID": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Activity id

Example:

"act_123"

Body

application/json

Input for dispatching optimized orders.

orderIds
string[] | null

Order IDs to dispatch. If omitted, all orders from the optimization are dispatched.

autoDispatch
boolean
default:true

Automatically dispatch to provider (default: true)

Response

422 - application/json

Unprocessable Content

error
NashErrorDetails · object
required
response_status
string
required
RequestID
string
required